## org.hibernate.classic
Interface Validatable

    public interface Validatable

Implemented by persistent classes with invariants that must be checked before inserting into or updating the database.

Author:
  Gavin King

Method Summary
`void` `validate()` Validate the state of the object before persisting it.

Method Detail

### validate

    void validate()
                  throws ValidationFailure

  Validate the state of the object before persisting it. If a violation occurs, throw a `ValidationFailure`. This method must not change the state of the object by side-effect.

  Throws:
    `ValidationFailure` - if an invariant is violated

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.